TransformerFactoryConfigurationError (Java SE 26 & JDK 26)
Description: declaration: module: java.xml, package: javax.xml.transform, class: TransformerFactoryConfigurationError
Keywords: javax.xml.transform.TransformerFactoryConfigurationError class

# Class TransformerFactoryConfigurationError

java.lang.Object
java.lang.Throwable
java.lang.Error
javax.xml.transform.TransformerFactoryConfigurationError

All Implemented Interfaces:
  `Serializable`

public class TransformerFactoryConfigurationError extends Error
Thrown when a problem with configuration with the Transformer Factories exists. This error will typically be thrown when the class of a transformation factory specified in the system properties cannot be found or instantiated.

Since:
  1.4
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TransformerFactoryConfigurationError()`
  Create a new `TransformerFactoryConfigurationError` with no detail message.
  `TransformerFactoryConfigurationError(Exception e)`
  Create a new `TransformerFactoryConfigurationError` with a given `Exception` base cause of the error.
  `TransformerFactoryConfigurationError(Exception e, String msg)`
  Create a new `TransformerFactoryConfigurationError` with the given `Exception` base cause and detail message.
  `TransformerFactoryConfigurationError(String msg)`
  Create a new `TransformerFactoryConfigurationError` with the `String` specified as an error message.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Throwable`
  `getCause()`
  use the exception chaining mechanism of JDK1.4
  `Exception`
  `getException()`
  Return the actual exception (if any) that caused this exception to be raised.
  `String`
  `getMessage()`
  Return the message (if any) for this error .

  ### Methods declared in class Throwable

  `addSuppressed, fillInStackTrace, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`
  Modifier and Type
  Method
  Description
  `final void`
  `addSuppressed(Throwable exception)`
  Appends the specified exception to the exceptions that were suppressed in order to deliver this exception.
  `Throwable`
  `fillInStackTrace()`
  Fills in the execution stack trace.
  `String`
  `getLocalizedMessage()`
  Creates a localized description of this throwable.
  `StackTraceElement[]`
  `getStackTrace()`
  Provides programmatic access to the stack trace information printed by `Throwable.printStackTrace()`.
  `final Throwable[]`
  `getSuppressed()`
  Returns an array containing all of the exceptions that were suppressed, typically by the `try`-with-resources statement, in order to deliver this exception.
  `Throwable`
  `initCause(Throwable cause)`
  Initializes the cause of this throwable to the specified value.
  `void`
  `printStackTrace()`
  Prints this throwable and its backtrace to the standard error stream.
  `void`
  `printStackTrace(PrintStream s)`
  Prints this throwable and its backtrace to the specified print stream.
  `void`
  `printStackTrace(PrintWriter s)`
  Prints this throwable and its backtrace to the specified print writer.
  `void`
  `setStackTrace(StackTraceElement[] stackTrace)`
  Sets the stack trace elements that will be returned by `Throwable.getStackTrace()` and printed by `Throwable.printStackTrace()` and related methods.
  `String`
  `toString()`
  Returns a short description of this throwable.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### TransformerFactoryConfigurationError

    public TransformerFactoryConfigurationError()
    Create a new `TransformerFactoryConfigurationError` with no detail message.

  - ### TransformerFactoryConfigurationError

    public TransformerFactoryConfigurationError(String msg)
    Create a new `TransformerFactoryConfigurationError` with the `String` specified as an error message.
    Parameters:
      `msg` - The error message for the exception.

  - ### TransformerFactoryConfigurationError

    public TransformerFactoryConfigurationError(Exception e)
    Create a new `TransformerFactoryConfigurationError` with a given `Exception` base cause of the error.
    Parameters:
      `e` - The exception to be encapsulated in a TransformerFactoryConfigurationError.

  - ### TransformerFactoryConfigurationError

    public TransformerFactoryConfigurationError(Exception e, String msg)
    Create a new `TransformerFactoryConfigurationError` with the given `Exception` base cause and detail message.
    Parameters:
      `e` - The exception to be encapsulated in a TransformerFactoryConfigurationError
      `msg` - The detail message.

- ## Method Details

  - ### getMessage

    public String getMessage()
    Return the message (if any) for this error . If there is no message for the exception and there is an encapsulated exception then the message of that exception will be returned.
    Overrides:
      `getMessage` in class `Throwable`
    Returns:
      The error message.

  - ### getException

    public Exception getException()
    Return the actual exception (if any) that caused this exception to be raised.
    Returns:
      The encapsulated exception, or null if there is none.

  - ### getCause

    public Throwable getCause()
    use the exception chaining mechanism of JDK1.4
    Overrides:
      `getCause` in class `Throwable`
    Returns:
      the cause of this throwable or `null` if the cause is nonexistent or unknown.